/*
 * Compatibility shims with RELENG_4
 *
 * $Id: smb_compat4.h,v 1.6 2001/04/16 13:14:33 bp Exp $
 */
#ifndef SMB_COMPAT4_H
#define SMB_COMPAT4_H

#include <sys/param.h>

#if __FreeBSD_version < 500000
#define	MODULE_VERSION(name, ver)

#define	M_TRYWAIT	0	/* M_WAITOK */
#define	PDROP	0x200	/* OR'd with pri to stop re-entry of interlock mutex */

struct mbuf;
struct proc;
struct simplelock;

struct mbuf *m_getm(struct mbuf *m, int len, int how, int type);
int kthread_create2(void (*func)(void *), void *arg,
    struct proc **newpp, int flags, const char *fmt, ...);
int msleep(void *chan, struct simplelock *mtx, int pri, const char *wmesg, int timo);

#endif	/* __FreeBSD_version < 500000 */
#endif	/* !SMB_COMPAT4_H */
